Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1533864 - usbip cannot attach remote device on Fedora 27
Summary: usbip cannot attach remote device on Fedora 27
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: usbip
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-12 12:27 UTC by Zamir SUN
Modified: 2018-06-22 19:53 UTC (History)
3 users (show)

Fixed In Version: usbip-4.14.11-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 18:01:33 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
My patch to the spec (deleted)
2018-01-12 12:30 UTC, Zamir SUN
no flags Details | Diff

Description Zamir SUN 2018-01-12 12:27:06 UTC
TL; DR. Simply update usbip to the version corresponding with the current kernel will fix this problem!

Description of problem:
Usbip cannot attach remote device on Fedora 27.

Version-Release number of selected component (if applicable):
Fedora 27
usbip-4.9.9-6.fc27.x86_64
kernel 4.14.11-300.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Follow the guide to setup the server side and share a USB device. In my case I shared a RTL8188CUS WiFi adapter.
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tree/tools/usb/usbip/README
2. sudo modprobe hci_vhci
3. sudo modprobe vhci-hcd
4. sudo usbip list --remote 10.30.1.2

Exportable USB devices
======================
 - 10.30.1.2
        1-6: Realtek Semiconductor Corp. : RTL8188CUS 802.11n WLAN Adapter (0bda:8176)
           : /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6
           : (Defined at Interface level) (00/00/00)
           :  0 - Vendor Specific Class / Vendor Specific Subclass / Vendor Specific Protocol (ff/ff/ff)

5. sudo usbip attach --remote 10.30.1.2 --busid 1-6
libusbip: error: udev_device_new_from_subsystem_sysname failed
usbip: error: open vhci_driver
usbip: error: query


Actual results:
Fail to attach, as shown in step 5

Expected results:
Should be attached.

Additional info:
I extracted the source code from my local upstream kernel tree (should be something around v4.14-rc2), did a local build using the SPEC in distgit (with slightly modify), install and run this local build on the *client* side, the device then can be attached. 
So I believe simply update usbip to the version corresponding to the kernel version can fix this problem.
The only change I made to the spec file is, remove the two patch.

Comment 1 Zamir SUN 2018-01-12 12:30:56 UTC
Created attachment 1380409 [details]
My patch to the spec

Comment 2 Jonathan Dieter 2018-01-13 17:27:41 UTC
Thanks, I've applied your patch and updated to 4.14.11.  You should see the update show up in updates-testing within the next day or two.

Comment 3 Fedora Update System 2018-01-13 17:29:17 UTC
usbip-4.14.11-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bff68f131b

Comment 4 Fedora Update System 2018-01-14 01:39:22 UTC
usbip-4.14.11-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bff68f131b

Comment 5 Fedora Update System 2018-01-30 18:01:33 UTC
usbip-4.14.11-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.